package de.hdm_stuttgart.mi.pangram;

import org.junit.Assert;
import org.junit.Test;

/**
 * Hunting for pangrammatic strings.
 */
@SuppressWarnings({"UnusedDeclaration"})
public class PangramTest {

  @Test
  public void testNegative() {
  Assert.assertFalse(PangramChecker.isPangram("Two driven jocks help fax my big"));
    Assert.assertFalse(PangramChecker.isPangram("Pack  box with five dozen liquor jugs"));
    Assert.assertFalse(PangramChecker.isPangram(" five boxing wizards jump quickly"));
    Assert.assertFalse(PangramChecker.isPangram("Bright vixens jump; dozy  quack"));
    Assert.assertFalse(PangramChecker.isPangram("Jackdaws love my big sphinx  quartz"));
    Assert.assertFalse(PangramChecker.isPangram("John quickly extemporized five  bags"));
    Assert.assertFalse(PangramChecker.isPangram("Waltz, nymph, for quick jigs  Bud"));
    Assert.assertFalse(PangramChecker.isPangram("Quick wafting zephyrs  bold Jim"));
    Assert.assertFalse(PangramChecker.isPangram("Brown jars prevented mixture from freezing uickly"));
    Assert.assertFalse(PangramChecker.isPangram("Fred specialized  the job of making very quaint toys"));
    Assert.assertFalse(PangramChecker.isPangram("Sixty zippers were quickly picked from  woven jute bag"));
    Assert.assertFalse(PangramChecker.isPangram("We promptly judged antique ivory buckles for  next prize"));
    Assert.assertFalse(PangramChecker.isPangram("J.Q. Schwartz flung V.D. Pike  box"));
    Assert.assertFalse(PangramChecker.isPangram("Viewing quizzical abstracts mixed  hefty jocks"));
    Assert.assertFalse(PangramChecker.isPangram("Farmer jack realized that  yellow quilts were expensive"));
    Assert.assertFalse(PangramChecker.isPangram("My girl wove dozen plaid jackets before she quit"));
    Assert.assertFalse(PangramChecker.isPangram("Warm plucky G.H.Q. jinx,  to B.V.D.'s"));
  }
    @Test
    public void testPositive() {

    // Credits to https://www.thoughtco.com/pangram-word-play-term-1691561
    //
    Assert.assertTrue(PangramChecker.isPangram("Two driven jocks help fax my big quiz"));
    Assert.assertTrue(PangramChecker.isPangram("Pack my box with five dozen liquor jugs"));
    Assert.assertTrue(PangramChecker.isPangram("The five boxing wizards jump quickly"));
    Assert.assertTrue(PangramChecker.isPangram("Bright vixens jump; dozy fowl quack"));
    Assert.assertTrue(PangramChecker.isPangram("Jackdaws love my big sphinx of quartz"));
    Assert.assertTrue(PangramChecker.isPangram("John quickly extemporized five tow bags"));
    Assert.assertTrue(PangramChecker.isPangram("Waltz, nymph, for quick jigs vex Bud"));
    Assert.assertTrue(PangramChecker.isPangram("Quick wafting zephyrs vex bold Jim"));
    Assert.assertTrue(PangramChecker.isPangram("Brown jars prevented the mixture from freezing too quickly"));
    Assert.assertTrue(PangramChecker.isPangram("Fred specialized in the job of making very quaint wax toys"));
    Assert.assertTrue(PangramChecker.isPangram("Sixty zippers were quickly picked from the woven jute bag"));
    Assert.assertTrue(PangramChecker.isPangram("We promptly judged antique ivory buckles for the next prize"));
    Assert.assertTrue(PangramChecker.isPangram("J.Q. Schwartz flung V.D. Pike my box"));
    Assert.assertTrue(PangramChecker.isPangram("Viewing quizzical abstracts mixed up hefty jocks"));
    Assert.assertTrue(PangramChecker.isPangram("Farmer jack realized that big yellow quilts were expensive"));
    Assert.assertTrue(PangramChecker.isPangram("My girl wove six dozen plaid jackets before she quit"));
    Assert.assertTrue(PangramChecker.isPangram("Warm plucky G.H.Q. jinx, fez to B.V.D.'s"));
  }
}