package de.hdm_stuttgart.sd1.math;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

/**
 * Testing exponential implementation
 *
 */
@SuppressWarnings({"UnusedDeclaration"})
public class MaxAbsTest{

  /**
   * Absolute value.
   */
  @Test
  public void testAbsoluteValue() {

    assertEquals(4.1, Math.abs(4.1),1E-14);
    assertEquals(3.1, Math.abs(-3.1),1E-14);
    assertEquals(0., Math.abs(0.),1E-14);
  }
  
  /**
   * Max value.
   */
  @Test
  public void testMaxValue() {
    assertEquals(5.2, Math.max(4.1, 5.2), 1E-14);
    assertEquals(3.2, Math.max(-4.1, 3.2), 1E-14);
    assertEquals(3.2, Math.max(3.2, -4.1), 1E-14);
    assertEquals(-4.1, Math.max(-5.7, -4.1), 1E-14);
    assertEquals(-4.1, Math.max(-4.1, -5.7), 1E-14);
  }
}
